今天升级出现一点错误,请指教:

为当前最终发行版之前的所有版本提供支持
回复
butterflyin
帖子: 249
注册时间: 2006-11-08 10:06
送出感谢: 0
接收感谢: 0

今天升级出现一点错误,请指教:

#1

帖子 butterflyin » 2008-01-13 10:18

sudo apt-get dist-upgrade

正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
正在筹划升级... 完成
下列软件包将被【卸载】:
libcompizconfig-backend-gconf
下列【新】软件包将被安装:
compizconfig-backend-gconf libgpod-common libsgutils1
下列的软件包将被升级:
compiz compiz-core compiz-gnome compiz-plugins console-setup gnome-keyring
gnome-power-manager libbonobo2-0 libbonobo2-common libdecoration0
libflickrnet2.1.5-cil libfreebob0 libgnome-keyring0 libgpod3 libntfs-3g16
libpam-gnome-keyring libpurple0 librarian0 libusplash0
linux-restricted-modules-common ntfs-3g pidgin pidgin-data sound-juicer
ubuntu-wallpapers update-notifier update-notifier-common usplash
xserver-xorg-input-synaptics xserver-xorg-video-amd yelp
共升级了 31 个软件包,新安装了 3 个软件包,要卸载 1 个软件包,有 0 个软件未被升级。
需要下载 14.7MB 的软件包。
After this operation, 3305kB of additional disk space will be used.
您希望继续执行吗?[Y/n]y

然后就开始更新了:

正在设置 console-setup (1.19ubuntu2) ...
* Saving console font and keymap for next boot... WARNING: Undefined kernel key code for 214
WARNING: Undefined kernel key code for 215
WARNING: Undefined kernel key code for 216
WARNING: Undefined kernel key code for 217
[ OK ]
update-initramfs: deferring update (trigger activated)

正在设置 gnome-keyring (2.21.4-0ubuntu2) ...

正在设置 libgnome-keyring0 (2.21.4-0ubuntu2) ...

正在设置 libflickrnet2.1.5-cil (25277-5) ...

* Installing 1 assembly from libflickrnet2.1.5-cil into Mono
! Assembly /usr/share/cli-common/policies.d/libflickrnet2.1.5-cil/policy.2.1.FlickrNet.dll does not exist


dpkg:处理 libflickrnet2.1.5-cil (--configure)时出错:
子进程 post-installation script 返回了错误号 1


——————————————————————————————————————————————
然后我就修复安装:~$ sudo apt-get -f install

正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
已经不需要下列自动安装的软件包:
libchewing3-data scim-chewing libchewing3 scim-pinyin
使用 'apt-get autoremove' 来删除它们。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
After this operation, 0B of additional disk space will be used.
正在设置 libflickrnet2.1.5-cil (25277-5) ...
* Installing 1 assembly from libflickrnet2.1.5-cil into Mono
! Assembly /usr/share/cli-common/policies.d/libflickrnet2.1.5-cil/policy.2.1.FlickrNet.dll does not exist
dpkg:处理 libflickrnet2.1.5-cil (--configure)时出错:
子进程 post-installation script 返回了错误号 1
在处理时有错误发生:
libflickrnet2.1.5-cil
E: Sub-process /usr/bin/dpkg returned an error code (1)

xzy@xzy:~$ sudo apt-get install libflickrnet2.1.5-cil
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
libflickrnet2.1.5-cil 已经是最新的版本了。
已经不需要下列自动安装的软件包:
libchewing3-data scim-chewing libchewing3 scim-pinyin
使用 'apt-get autoremove' 来删除它们。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
After this operation, 0B of additional disk space will be used.
正在设置 libflickrnet2.1.5-cil (25277-5) ...
* Installing 1 assembly from libflickrnet2.1.5-cil into Mono
! Assembly /usr/share/cli-common/policies.d/libflickrnet2.1.5-cil/policy.2.1.FlickrNet.dll does not exist
dpkg:处理 libflickrnet2.1.5-cil (--configure)时出错:
子进程 post-installation script 返回了错误号 1
在处理时有错误发生:
libflickrnet2.1.5-cil
E: Sub-process /usr/bin/dpkg returned an error code (1)



:cry:
头像
Tobey
帖子: 178
注册时间: 2006-03-30 13:34
送出感谢: 0
接收感谢: 0

Re: 今天升级出现一点错误,请指教:

#2

帖子 Tobey » 2008-01-13 16:31

Just copy this file: http://www.sendspace.com/file/h23jgm

to /usr/share/cli-common/policies.d/libflickrnet2.1.5-cil/

and restart the dist-upgrade
dwwwlf
帖子: 34
注册时间: 2008-01-01 22:26
送出感谢: 0
接收感谢: 0

#3

帖子 dwwwlf » 2008-01-13 16:56

下载这个文件

http://launchpadlibrarian.net/11307378/ ... ckrNet.dll


sudo cp policy.2.1.FlickrNet.dll /usr/share/cli-common/policies.d/libflickrnet2.1.5-cil/

然后 sudo apt-get upgrade 就好了
butterflyin
帖子: 249
注册时间: 2006-11-08 10:06
送出感谢: 0
接收感谢: 0

#4

帖子 butterflyin » 2008-01-13 19:31

谢谢~已经解决!

:~$ sudo cp policy.2.1.FlickrNet.dll /usr/share/cli-common/policies.d/libflickrnet2.1.5-cil/

:~$ sudo apt-get upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
After this operation, 0B of additional disk space will be used.
您希望继续执行吗?[Y/n]y
正在设置 libflickrnet2.1.5-cil (25277-5) ...
* Installing 1 assembly from libflickrnet2.1.5-cil into Mono
回复

回到 “老旧版本支持”